=== debian/changelog ===
distrobuilder (3.0-1) unstable; urgency=medium

  * Initial release (Closes: #1061706)

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 18 Feb 2024 18:06:31 +0000
