=== debian/control ===
Source: distrobuilder
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Mathias Gibbens <gibmat@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               help2man,
               squashfs-tools,
               golang-any,
               golang-github-antchfx-htmlquery-dev,
               golang-github-flosch-pongo2.v4-dev,
               golang-github-google-go-github-dev,
               golang-github-lxc-incus-dev,
               golang-github-mudler-docker-companion-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-spf13-cobra-dev,
               golang-github-stretchr-testify-dev,
               golang-golang-x-sys-dev,
               golang-golang-x-text-dev,
               golang-gopkg-yaml.v2-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/distrobuilder
Vcs-Git: https://salsa.debian.org/go-team/packages/distrobuilder.git
Homepage: https://github.com/lxc/distrobuilder
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/lxc/distrobuilder

Package: distrobuilder
Architecture: any
Depends: debootstrap,
         distrobuilder-images,
         gpg,
         rsync,
         squashfs-tools,
         xz-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: dosfstools,
            btrfs-progs,
            gdisk,
            qemu-utils
Built-Using: ${misc:Built-Using}
Description: System container image builder for LXC and Incus
 distrobuilder is an image building tool for LXC and Incus.
 .
 Its modern design uses pre-built official images whenever available and
 supports a variety of modifications on the base image. distrobuilder creates
 LXC or Incus images, or just a plain root file system, from a declarative
 image definition (in YAML format) that defines the source of the image, its
 package manager, what packages to install or remove for specific image
 variants, OS releases and architectures, as well as additional files to
 generate and arbitrary actions to execute as part of the image build process.
 .
 Incus images may also be compatible with Canonical's LXD.
