## distrobuilder 3.1

=== Makefile ===
--- 
+++ 
@@ -2,9 +2,12 @@
 ARCHIVE=distrobuilder-$(VERSION).tar
 GO111MODULE=on
 SPHINXENV=.sphinx/venv/bin/activate
+GOPATH=$(shell go env GOPATH)
 
 .PHONY: default
 default:
+	go env -w GOCACHE=$(shell go env GOCACHE)
+	$(shell go env | grep -v GOENV | sed "s/'//g" > $(shell go env GOENV))
 	gofmt -s -w .
 	go install -v ./...
 	@echo "distrobuilder built successfully"
@@ -12,11 +15,11 @@
 .PHONY: update-gomod
 update-gomod:
 	go get -t -v -d -u ./...
-	go mod tidy
+	go mod tidy -go=1.22.7
 
 .PHONY: check
 check: default
-	go test -v ./...
+	sudo GOENV=$(shell go env GOENV) go test -v ./...
 
 .PHONY: dist
 dist:
@@ -73,8 +76,8 @@
 
 .PHONY: static-analysis
 static-analysis:
-ifeq ($(shell command -v golangci-lint 2> /dev/null),)
-	go install github.com/golangci/golangci-lint/cmd/golangci-lint@v1.52.2
+ifeq ($(shell command -v golangci-lint),)
+	curl -sSfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh | sh -s -- -b $(GOPATH)/bin
 endif
-	golangci-lint run --timeout 5m
-	run-parts --exit-on-error --regex '.sh' test/lint
+	$(GOPATH)/bin/golangci-lint run --timeout 5m
+	run-parts $(shell run-parts -V 2> /dev/null 1> /dev/null && echo -n "--exit-on-error --regex '.sh'") test/lint
