=== debian/changelog ===
distrobuilder (3.1-1) unstable; urgency=medium

  * New upstream release:
    - Rebase patches as needed
    - Drop patches applied upstream
  * Add gnupg to Build-Depends in d/control

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 26 Oct 2024 00:51:05 +0000

distrobuilder (3.0-4) unstable; urgency=medium

  * Update Standards-Version to 4.7.0 in d/control (no changes needed)
  * Cherry-pick upstream fix to handle parsing pre-release versions of systemd
  * Cherry-pick upstream fix for newer versions of systemd within a container

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 01 Jun 2024 13:43:42 +0000

distrobuilder (3.0-3) unstable; urgency=medium

  * Add a patch to fix building with incus >= 0.7

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 26 Mar 2024 22:55:20 +0000

distrobuilder (3.0-2) unstable; urgency=medium

  * Fix d/watch
  * Switch d/gitlab-ci.yml to full build pipeline
    - Add a patch to skip part of test that fails in salsa CI environment
  * Adjust patching of import path for google-go-github to not tie to a
    specific version

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 17 Mar 2024 01:12:27 +0000
