=== debian/control ===
--- 
+++ 
@@ -6,13 +6,14 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
+               gnupg,
                help2man,
                squashfs-tools,
                golang-any,
                golang-github-antchfx-htmlquery-dev,
                golang-github-flosch-pongo2.v4-dev,
                golang-github-google-go-github-dev,
-               golang-github-lxc-incus-dev,
+               golang-github-lxc-incus-dev (>= 0.7),
                golang-github-mudler-docker-companion-dev,
                golang-github-sirupsen-logrus-dev,
                golang-github-spf13-cobra-dev,
@@ -20,7 +21,7 @@
                golang-golang-x-sys-dev,
                golang-golang-x-text-dev,
                golang-gopkg-yaml.v2-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/distrobuilder
 Vcs-Git: https://salsa.debian.org/go-team/packages/distrobuilder.git
 Homepage: https://github.com/lxc/distrobuilder
