=== debian/changelog ===
distrobuilder (3.2-4) unstable; urgency=medium

  * Cherry-pick patch for Incus API changes

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 21 Aug 2025 14:10:10 +0000

distrobuilder (3.2-3) unstable; urgency=medium

  * Update Build-Depends
    - Rebase d/p/001-fixup-imports.patch

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 10 Aug 2025 16:10:34 +0000

distrobuilder (3.2-2) unstable; urgency=medium

  * d/control:
    - Add back Built-Using stanza
    - Add additional dependencies for repacking Windows install images
      to list of Recommended packages

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 27 Apr 2025 16:58:53 +0000

distrobuilder (3.2-1) unstable; urgency=medium

  * New upstream release
    - Rebase patches as needed
  * d/control:
    - Update Standards-Version to 4.7.2 (no changes needed)
    - Replace Built-Using with Static-Built-Using
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 04 Apr 2025 11:38:57 +0000
