=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                squashfs-tools,
                golang-any,
                golang-github-antchfx-htmlquery-dev,
-               golang-github-flosch-pongo2.v4-dev,
+               golang-github-flosch-pongo2.v6-dev,
                golang-github-google-go-github-dev,
-               golang-github-lxc-incus-dev (>= 0.7),
+               golang-github-lxc-incus-dev (>= 6.0.5),
                golang-github-mudler-docker-companion-dev,
                golang-github-sirupsen-logrus-dev,
                golang-github-spf13-cobra-dev,
@@ -21,7 +21,7 @@
                golang-golang-x-sys-dev,
                golang-golang-x-text-dev,
                golang-gopkg-yaml.v2-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/distrobuilder
 Vcs-Git: https://salsa.debian.org/go-team/packages/distrobuilder.git
 Homepage: https://github.com/lxc/distrobuilder
@@ -41,8 +41,12 @@
 Recommends: dosfstools,
             btrfs-progs,
             gdisk,
-            qemu-utils
+            genisoimage,
+            libwin-hivex-perl,
+            qemu-utils,
+            wimtools
 Built-Using: ${misc:Built-Using}
+Static-Built-Using: ${misc:Static-Built-Using}
 Description: System container image builder for LXC and Incus
  distrobuilder is an image building tool for LXC and Incus.
  .
