=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DH_GOLANG_INSTALL_EXTRA := distrobuilder/lxc.generator

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

execute_after_dh_auto_build:
	# Autogenerate a man page
	mkdir man1/
	TZ=UTC HOME="~" help2man _build/bin/distrobuilder -n "System container image builder" --no-info --no-discard-stderr --version-string=$(DEB_VERSION_UPSTREAM) > man1/distrobuilder.1

override_dh_auto_install:
	dh_auto_install -- --no-source
