## distrobuilder 3.3.0

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 GO111MODULE=on
 SPHINXENV=.sphinx/venv/bin/activate
 GOPATH=$(shell go env GOPATH)
+export GOFLAGS=-tags=containers_image_storage_stub,containers_image_docker_daemon_stub,containers_image_openpgp
 
 .PHONY: default
 default:
@@ -13,13 +14,13 @@
 .PHONY: update-gomod
 update-gomod:
 	go get -t -v -u ./...
-	go mod tidy -go=1.23.7
+	go mod tidy --go=1.25.6
 	go get toolchain@none
 	@echo "Dependencies updated"
 
 .PHONY: check
 check: default
-	sudo GOENV=$(shell go env GOENV) go test -v ./...
+	sudo GOENV=$(shell go env GOENV) GOFLAGS=$(GOFLAGS) go test -v ./...
 
 .PHONY: dist
 dist:
