=== debian/changelog ===
distrobuilder (3.3.0-1) unstable; urgency=medium

  * New upstream release:
    - Drop patch applied upstream
    - Rebase d/p/002-skip-internet-tests.patch
  * d/control:
    - Update Standards-Version to 4.7.3, drop Priority field
    - Update Build-Depends
    - Drop redundant Rules-Requires-Root
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 23 Feb 2026 23:26:17 +0000
