## distrobuilder 3.3.1

=== debian/changelog ===
distrobuilder (3.3.1-1) unstable; urgency=medium

  * New upstream release
    - Rebase d/p/001-fixup-imports.patch
  * Update d/watch for new tagging convention

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 25 Feb 2026 18:26:08 +0000
