=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Mathias Gibbens <gibmat@debian.org>
 Section: golang
 Testsuite: autopkgtest-pkg-go
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                gnupg,
@@ -11,21 +10,22 @@
                squashfs-tools,
                golang-any,
                golang-github-antchfx-htmlquery-dev,
+               golang-github-containers-image-dev,
                golang-github-flosch-pongo2.v6-dev,
                golang-github-google-go-github-dev,
                golang-github-lxc-incus-dev (>= 6.0.5),
-               golang-github-mudler-docker-companion-dev,
+               golang-github-opencontainers-image-spec-dev,
+               golang-github-opensuse-umoci-dev,
                golang-github-sirupsen-logrus-dev,
                golang-github-spf13-cobra-dev,
                golang-github-stretchr-testify-dev,
                golang-golang-x-sys-dev,
                golang-golang-x-text-dev,
                golang-gopkg-yaml.v2-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/distrobuilder
 Vcs-Git: https://salsa.debian.org/go-team/packages/distrobuilder.git
 Homepage: https://github.com/lxc/distrobuilder
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/lxc/distrobuilder
 
 Package: distrobuilder
